Package com.google.android.exoplayer2.util

## Class FrameProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.util.FrameProcessingException

- All Implemented Interfaces:
    `Serializable`

      public final class FrameProcessingException
      extends Exception

  Thrown when an exception occurs while applying effects to video frames.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `presentationTimeUs` | The microsecond timestamp of the frame being processed while the exception occurred or `C.TIME_UNSET` if unknown.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrameProcessingException​(String message)` | Creates an instance.
    `FrameProcessingException​(String message, long presentationTimeUs)` | Creates an instance.
    `FrameProcessingException​(String message, Throwable cause)` | Creates an instance.
    `FrameProcessingException​(String message, Throwable cause, long presentationTimeUs)` | Creates an instance.
    `FrameProcessingException​(Throwable cause)` | Creates an instance.
    `FrameProcessingException​(Throwable cause, long presentationTimeUs)` | Creates an instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FrameProcessingException` | `from​(Exception exception)` | Wraps the given exception in a `FrameProcessingException` if it is not already a `FrameProcessingException` and returns the exception otherwise.
    `static FrameProcessingException` | `from​(Exception exception, long presentationTimeUs)` | Wraps the given exception in a `FrameProcessingException` with the given timestamp if it is not already a `FrameProcessingException` and returns the exception otherwise.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### presentationTimeUs

          public final long presentationTimeUs

      The microsecond timestamp of the frame being processed while the exception occurred or `C.TIME_UNSET` if unknown.

  - ### Constructor Detail

    - #### FrameProcessingException

          public FrameProcessingException​(String message)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.

    - #### FrameProcessingException

          public FrameProcessingException​(String message,
                                          long presentationTimeUs)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.
        `presentationTimeUs` - The timestamp of the frame for which the exception occurred.

    - #### FrameProcessingException

          public FrameProcessingException​(String message,
                                          Throwable cause)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.
        `cause` - The cause of this exception.

    - #### FrameProcessingException

          public FrameProcessingException​(String message,
                                          Throwable cause,
                                          long presentationTimeUs)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.
        `cause` - The cause of this exception.
        `presentationTimeUs` - The timestamp of the frame for which the exception occurred.

    - #### FrameProcessingException

          public FrameProcessingException​(Throwable cause)

      Creates an instance.
      Parameters:
        `cause` - The cause of this exception.

    - #### FrameProcessingException

          public FrameProcessingException​(Throwable cause,
                                          long presentationTimeUs)

      Creates an instance.
      Parameters:
        `cause` - The cause of this exception.
        `presentationTimeUs` - The timestamp of the frame for which the exception occurred.

  - ### Method Detail

    - #### from

          public static FrameProcessingException from​(Exception exception)

      Wraps the given exception in a `FrameProcessingException` if it is not already a `FrameProcessingException` and returns the exception otherwise.

    - #### from

          public static FrameProcessingException from​(Exception exception,
                                                      long presentationTimeUs)

      Wraps the given exception in a `FrameProcessingException` with the given timestamp if it is not already a `FrameProcessingException` and returns the exception otherwise.